GNU bug report logs - #55167
29.0.50; M-x gnus after gnus-group-suspend causes "Selecting deleted buffer"

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs,gnus; Reported by: david.edmondson@HIDDEN; Keywords: moreinfo; dated Thu, 28 Apr 2022 15:45:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Added tag(s) moreinfo. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 55167 <at> debbugs.gnu.org:


Received: (at 55167) by debbugs.gnu.org; 28 Apr 2022 16:04:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Apr 28 12:04:02 2022
Received: from localhost ([127.0.0.1]:49703 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nk6cc-0005t1-CE
	for submit <at> debbugs.gnu.org; Thu, 28 Apr 2022 12:04:02 -0400
Received: from quimby.gnus.org ([95.216.78.240]:56198)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1nk6cb-0005sS-H7
 for 55167 <at> debbugs.gnu.org; Thu, 28 Apr 2022 12:04:02 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=ttqH4qyIU1kK/XxDq/j7vh0URazc+nfv2O8TB4+4TK4=; b=LLUo4XPdPNYG781/RGMLpNc/J7
 tiq2WCoF4PAasr1rdwF1EQZ33vN7S2TiXRqI2IhCcnNEvJo1PxUhBnHV6ajEGo85VJv/98UHbdas6
 YuFmb+9MPW63s+HP0IjszZqc1Fcftz0Te82SBxn6XQyGaz+6GrFN1TYSYsMUnKbouNwE=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1nk6cQ-0002MK-S2; Thu, 28 Apr 2022 18:03:53 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: david.edmondson@HIDDEN
Subject: Re: bug#55167: 29.0.50; M-x gnus after gnus-group-suspend causes
 "Selecting deleted buffer"
References: <cunzgk5p7ws.fsf@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAElBMVEVHNyqoYi7HnVPF
 s653apL///9n96kHAAAAAWJLR0QF+G/pxwAAAAd0SU1FB+YEHBACKhYtFPwAAAGZSURBVDjLddOB
 ccMgDAVQ0XoAoB0gKJkAeQCnZv+Z+r8wNmmuvkuc8CwBEhYJKaUowg9/jqv/w7DjC/jz4RZO0KSq
 gEzNJcypVAvHmM9hECIU8SVeIDMwn2jw8R5yAh7OR0SIF/iyPmQGq8rYyNkP8GR3sw6efwBG/oVm
 VuXpU7yAtB3Q9C+ILB3KOzQAkDvHsv+Amd0kYHspvgGq+A8E8YKkC3bC+kzvoIQVWywiU7LWJggx
 nLI8HX56BGAkW0ICPJ7sIBtTNUo46sWd87kcQ75bLQekNEqS2R5ADN+b9wTw4CNZFV2oqtmsOZiu
 zHlAUcStjamsFzFrwZDpnd8NQsCKAs5F7rkctiA4ESwiIrJ2WK2tiOFRQcasidPUUhGx2gEl8QA6
 fNc7Yd2lx59H1sEXxjtO/QHl074mqANKXGyOYHd9EhTC/xLyFZGwof0CHlSfnH1abAYP6M2bAYu/
 4LOPN1aLq08D9gHsVYfebiyK69q8WVnTK6C4/c2aYW+8rld+zIFDuB3AV+oMoGyNM/DXHIBrW/z2
 C9R3ZmgKA98PAAAAJXRFWHRkYXRlOmNyZWF0ZQAyMDIyLTA0LTI4VDE2OjAyOjQyKzAwOjAwRkFc
 XQAAACV0RVh0ZGF0ZTptb2RpZnkAMjAyMi0wNC0yOFQxNjowMjo0MiswMDowMDcc5OEAAAAASUVO
 RK5CYII=
X-Now-Playing: Sam Amidon's _Sam Amidon_: "Cuckoo"
Date: Thu, 28 Apr 2022 18:03:50 +0200
In-Reply-To: <cunzgk5p7ws.fsf@HIDDEN> (david edmondson's message of "Thu, 
 28 Apr 2022 16:03:15 +0100")
Message-ID: <87fslxjiu1.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: david.edmondson@HIDDEN writes: > Start gnus with M-x
 gnus.
 Read some news (well, mail). Suspend gnus with > 'z'. Decide to read some
 more with M-x gnus. Get: > > Debugger entered--Lisp error: (error "Selecting
 deleted buffer") 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 55167
Cc: 55167 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

david.edmondson@HIDDEN writes:

> Start gnus with M-x gnus. Read some news (well, mail). Suspend gnus with
> 'z'. Decide to read some more with M-x gnus. Get:
>
> Debugger entered--Lisp error: (error "Selecting deleted buffer")

I'm unable to reproduce this -- I use `z' regularly, so I guess there's
something in your config that's triggering this.  What's the buffer it's
trying to select?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN, bugs@HIDDEN:
bug#55167; Package emacs,gnus. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 28 Apr 2022 15:44:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Apr 28 11:44:14 2022
Received: from localhost ([127.0.0.1]:49667 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nk6JQ-0005ID-Fg
	for submit <at> debbugs.gnu.org; Thu, 28 Apr 2022 11:44:14 -0400
Received: from lists.gnu.org ([209.51.188.17]:45668)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <david.edmondson@HIDDEN>) id 1nk5gI-0004Dj-5F
 for submit <at> debbugs.gnu.org; Thu, 28 Apr 2022 11:03:46 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:54900)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <david.edmondson@HIDDEN>)
 id 1nk5gC-0001Io-KY
 for bug-gnu-emacs@HIDDEN; Thu, 28 Apr 2022 11:03:42 -0400
Received: from mx0b-00069f02.pphosted.com ([205.220.177.32]:20198)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <david.edmondson@HIDDEN>)
 id 1nk5g6-00028I-94
 for bug-gnu-emacs@HIDDEN; Thu, 28 Apr 2022 11:03:39 -0400
Received: from pps.filterd (m0246631.ppops.net [127.0.0.1])
 by mx0b-00069f02.pphosted.com (8.17.1.5/8.17.1.5) with ESMTP id 23SEE8jJ018603
 for <bug-gnu-emacs@HIDDEN>; Thu, 28 Apr 2022 15:03:23 GMT
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=oracle.com;
 h=from : to : subject :
 date : message-id : content-type : content-transfer-encoding :
 mime-version; s=corp-2021-07-09;
 bh=ezMJFsN6dzDxF4ZpF1IOxMkLGChafHBTgv7anyQPPxA=;
 b=0JKDCIBWGqYhGcKfEMtQytxqGN20r2ydLP+TeH7gPqDLLs2IgSI8xF+83p9GI1/XhZ8m
 NcEIxWmMy5cpehwCSA9mdeDRNqNKcUTddfOsNQqkdgA8pQPyADqbatkeRv9h0ese3uOp
 2449IoTFOiTyKQTjZWMzrayeLPavfL87bD+UIUw1AqGE1wR1JPW7wivXupMa/vuMdiZD
 AVAW3hUdmAz+TujJvk37+uPKmoVvDVTAGnEslMFet6ZpMbsaNsdIo+ftuGcKirhJ0cgM
 d+iZqQU2z+LsBUHacv+lvdyfm/AWPFzE5HRKVaIOzS9b11K41MHqSdUjGl5AsxgCjNff uA== 
Received: from iadpaimrmta02.imrmtpd1.prodappiadaev1.oraclevcn.com
 (iadpaimrmta02.appoci.oracle.com [147.154.18.20])
 by mx0b-00069f02.pphosted.com (PPS) with ESMTPS id 3fmb5k4c0t-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK)
 for <bug-gnu-emacs@HIDDEN>; Thu, 28 Apr 2022 15:03:22 +0000
Received: from pps.filterd
 (iadpaimrmta02.imrmtpd1.prodappiadaev1.oraclevcn.com [127.0.0.1])
 by iadpaimrmta02.imrmtpd1.prodappiadaev1.oraclevcn.com (8.16.1.2/8.16.1.2)
 with SMTP id 23SEoD4s024868
 for <bug-gnu-emacs@HIDDEN>; Thu, 28 Apr 2022 15:03:22 GMT
Received: from nam04-mw2-obe.outbound.protection.outlook.com
 (mail-mw2nam08lp2168.outbound.protection.outlook.com [104.47.73.168])
 by iadpaimrmta02.imrmtpd1.prodappiadaev1.oraclevcn.com with ESMTP id
 3fm7w6shk8-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK)
 for <bug-gnu-emacs@HIDDEN>; Thu, 28 Apr 2022 15:03:21 +0000
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=RHQaMSxZO5ZHGmuD9LFCchg5T9At02moy/sfb39qYsip7s41Mv8jht1NbVkxvvQkHY5djRcy0hZOPvZr1DkPiMvjvnGlmRiYMUgNF+afwSzX0m6myjUa+t/x0XWDtz8TKvpzrSE5HwI/wPnh2Q1PRjcBZ9E4ucnCkK63Qp8v97O07pQJac75+tdBn/lQcjsNnu2EHVsl2HE5ouJAbGE1xQ3AbxhVsowHFP+YWplA6qCLtq8LcZL9/+ZrgZu14E0PK7iGjVcT16+sP+HHadHaHgls91xxpcx7wCqQNhawCjkGqDe70dtvf6U+Dmdc4QuYgnZDtv98EAJhpNcp2ijHVQ==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-AntiSpam-MessageData-ChunkCount:X-MS-Exchange-AntiSpam-MessageData-0:X-MS-Exchange-AntiSpam-MessageData-1;
 bh=ezMJFsN6dzDxF4ZpF1IOxMkLGChafHBTgv7anyQPPxA=;
 b=aG0uH1D7cBPsevzBn70rAFUyL3WqHTONaZCylT4G/eTMRgkPqp9u40oMAvrmUgLYm11SJcrYm4Ln9uNt4cLOA3V5/KOdGaBiHsNKBSsKFrwOIIE8WldgqywshPzPBmYFBd6L25kGNNaesn3BAJzzpAyAsWGJIA7MdEcU6L7stxcO2gfkLT9hohXE/JO5d8d2jaeMREjVEoHKn1fL692hTEiBuOde4JXllIaFVonaOlcEdR+ETOBcKf2dly+xb+1w+4YCRtNW5V7grFO2ZGyzFQEj6MpRc3yfCXpRO5c1l+3YGqpp/jOLIobuxxI6nBesOs9bJpMPplMie0xoAdDg+Q==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=pass
 smtp.mailfrom=oracle.com; dmarc=pass action=none header.from=oracle.com;
 dkim=pass header.d=oracle.com; arc=none
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=oracle.onmicrosoft.com; s=selector2-oracle-onmicrosoft-com;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=ezMJFsN6dzDxF4ZpF1IOxMkLGChafHBTgv7anyQPPxA=;
 b=ogqXvPiCPY1z6DXTGuW58GDJ9eDZmKxeQWF/gUsrG8y4VBbs+rxmW7ZA3zhTF++PBVjkejrrb4/9weOqIXkuv3SmnzK7xAY308AHpPNtllr4dfZH/wlYNHYctyOj7Stq1ahN51cy3EuVxEAx7/JBeHOTPjAXMG874uc94fX1Dis=
Received: from DS7PR10MB4926.namprd10.prod.outlook.com (2603:10b6:5:3ac::20)
 by BN6PR10MB1282.namprd10.prod.outlook.com (2603:10b6:404:42::20) with
 Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id 15.20.5206.13; Thu, 28 Apr
 2022 15:03:19 +0000
Received: from DS7PR10MB4926.namprd10.prod.outlook.com
 ([fe80::d49f:c15a:662d:78b0]) by DS7PR10MB4926.namprd10.prod.outlook.com
 ([fe80::d49f:c15a:662d:78b0%5]) with mapi id 15.20.5186.021; Thu, 28 Apr 2022
 15:03:19 +0000
From: david.edmondson@HIDDEN
To: bug-gnu-emacs@HIDDEN
Subject: 29.0.50; M-x gnus after gnus-group-suspend causes "Selecting
 deleted buffer"
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
X-Debbugs-Package: emacs,gnus
Date: Thu, 28 Apr 2022 16:03:15 +0100
Message-ID: <cunzgk5p7ws.fsf@HIDDEN>
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable
X-ClientProxiedBy: LO4P123CA0520.GBRP123.PROD.OUTLOOK.COM
 (2603:10a6:600:272::16) To DS7PR10MB4926.namprd10.prod.outlook.com
 (2603:10b6:5:3ac::20)
MIME-Version: 1.0
X-MS-PublicTrafficType: Email
X-MS-Office365-Filtering-Correlation-Id: 29da07d1-8979-4bcb-368e-08da29283aff
X-MS-TrafficTypeDiagnostic: BN6PR10MB1282:EE_
X-Microsoft-Antispam-PRVS: <BN6PR10MB12825C5D2A07AB9B294ADCEA88FD9@HIDDEN>
X-MS-Exchange-SenderADCheck: 1
X-MS-Exchange-AntiSpam-Relay: 0
X-Microsoft-Antispam: BCL:0;
X-Microsoft-Antispam-Message-Info: vduNRtu9ZszpFGDmMgh6WivZcc3UNdHs/DurwqjLQh1oD45PIUGwqj2oYnx1m+jtqvew2xFkg00JEc0ayiPXTBkEI18PCnV5LyA8ntqncLC7ip0mQqo8HVet5XI2ng0zGmki4iuIACtPy1Y5RciUhCKIqXmRaCI75VMjXWKltEfunDqNrU69kHsWwWG4OZWkV3zpgFLY2MY9w9XdnuW7nh/jibxVVtP+qMqdtFyGWEMM23+6a2hs2p/jsGQodLuYNVSTjrCcVkr11K6YtfdIW0n27tRuZEFMq/6uuZH1xsyyXQZPGQsCwhimNfRNnFquVMq6ONrFj3pGvn2xWgk58MJuNPWLOeaE5ZSnctWuns6LplkPgM1j+CIZMqkZZXhDLYXmrXNF6xxz0OhuQaEJkB3SquKPsyrphI1eu1Ob22qPiCpaT0083WW3SYXtMtw/O6dWHonRbWUesoI1jEHnHidIgGVI+B/brUZwCwLOdcoj6wwNIr4omDiiBgvT5gXRb23rSAZEEtddrOevvRpILNg6Tfs5u1ea8W8Lhn7KokGMeVyuTv4jEX8KqznBXl6unM0Sx/IMyLY77oi7FuF6Bixm2jMjhtg3CJW9TuapIbe6AqxCKZIyIHVGdSNqhg2lGJkLt8AYNWArxMv21W/23A==
X-Forefront-Antispam-Report: CIP:255.255.255.255; CTRY:; LANG:en; SCL:1; SRV:;
 IPV:NLI; SFV:NSPM; H:DS7PR10MB4926.namprd10.prod.outlook.com; PTR:; CAT:NONE;
 SFS:(13230001)(366004)(6486002)(6666004)(2616005)(66476007)(66556008)(66946007)(6506007)(9686003)(52116002)(6512007)(316002)(45080400002)(6916009)(86362001)(508600001)(186003)(38100700002)(83380400001)(15650500001)(2906002)(8936002)(5660300002)(36756003)(8676002);
 DIR:OUT; SFP:1101; 
X-MS-Exchange-AntiSpam-MessageData-ChunkCount: 2
X-MS-Exchange-AntiSpam-MessageData-0: =?us-ascii?Q?VvbSPpjVSUgJQSV24o6AqxNYbpxJX/3/6Uybrn/0NW9l+v+diTijhSYNzH9B?=
 =?us-ascii?Q?nH/e+wqUgx+prynYxeBIgZpg3sAteSgAeTTl/yqsaTm6Nn9QyR4LfZ75GbUY?=
 =?us-ascii?Q?pDCjzlGmhS8QFfT+5Ht936UGVPfY3b1rx8ClA92nJcR4JUWNzVfSSZbgHHE4?=
 =?us-ascii?Q?NPlve7Hfxt4sDEvvinDOVrYMmcGTLk386mlvX0Twyt537jc4fxIXx4A2q2cH?=
 =?us-ascii?Q?LJZtVftOK7EdNJy88ovBzSTKqg86jgWT0LEfyOnk8AE2mcXD5Lqj2amrS1A0?=
 =?us-ascii?Q?91TumHNkM68jA3P6ZgeveiYK50PkpIoRrDIJ22F7yND2GIiulDLADwM+7bDU?=
 =?us-ascii?Q?1dRjr71qtoFhhWCK4VxWl6ixuUqdsEzAj4ngT7riYEwZ1J+FJSxAmCfb6q4C?=
 =?us-ascii?Q?bulmQZZcjlNPmHhyOvtceXupb244YUPkhllu75mVIUaMOFW8GsRm1YNxUuik?=
 =?us-ascii?Q?Gv/QaqoaxXTdUqtsK7wEbzxC4pob+iWbdQT8KwBpJByVNzQKeyp3YG1O124+?=
 =?us-ascii?Q?CeKyZYZzQki3Q48MumK2uY8xJL/6U/69+vYcvWMik8wtqgBTXW6CUfX2Fbx7?=
 =?us-ascii?Q?r95aMmP0p899NQI3f6hq59MP4NO6vr/rSi+p3JEJIUIdFAHiF4VVJzB6jqbl?=
 =?us-ascii?Q?KR55xOW7gsku8PN321d5PBV+8NDykwcpTLzwAj1abaFxyLnvM1itCcUKFwxy?=
 =?us-ascii?Q?MomfPgWw1NjlemTQ09Y2XA7BSknt1f5HDbsteRJqEkGq2mJftsDXO2BDL+uP?=
 =?us-ascii?Q?yhB+IQhRB3vbL/mO7n2QAX0JIHKkFCwh6GnJy89MS50JFZxiblBUSTLek4DX?=
 =?us-ascii?Q?Mrx81EaE3vyyyKGQIlNsvQ8czV6WrLexBNzdFZRxxSDH8dgP9s5GEX4TmGw/?=
 =?us-ascii?Q?LFkstrbEcTEwY9+MQi2NO3PJb2BJ2cMVsn0UrGAYQP5tzCEZw+TDVlkNOStB?=
 =?us-ascii?Q?whuN6hjchT6NgqRjiHKfirsdAqFudFLU3hEGanbRg2Kn4M4+1oljSVV/ZRhr?=
 =?us-ascii?Q?KojFWNUgpDbl7obxp5BoQxw1h1YkgISAbKoeJtXQ0NTCBvkujbsqTkP6EB3S?=
 =?us-ascii?Q?oiPelUkSUgEzQl/55jF+2IyMi1OpCO9tNPh0psDqCo46sMtD+HOBh3zPp1dK?=
 =?us-ascii?Q?lfYqWOSoxFO4yPaH3anwKM32TstIx2p7WxHLjtnp2oLihoh1F2kjVblqZps3?=
 =?us-ascii?Q?pdA/sMAjSKT3UGkl52sZ7zQPK9TMbC2X5YYY4Bt+DYbn8u/YdLfwDo2B5989?=
 =?us-ascii?Q?Zzmsn/ntWMp2OJaRjBWhj4iWHDxXQGJIe/RK9DnqaQFlVsBZI8FZQhkzMouz?=
 =?us-ascii?Q?UvwUyijraSul+wGEVlq2MT1Lrn2tfvmL4gL7HbWEh6bchgdDRoTJw7UqYuDr?=
 =?us-ascii?Q?d6quZBIHn7Gy4MMa27oKkeV8ukvR15zUJgPlo13hYJpxFHSCetk6obMHNsc4?=
 =?us-ascii?Q?PX0MRjeoRR3AlB4x/kdQkMNaVYYzYJZ2pUEQCJCNMO72P2WqpvYp9/GGoruI?=
 =?us-ascii?Q?zMZT/ine/2uwflakZtX1wl1pzbBtzen6FVbUtD0HNO/hohAmztxCnKBDf8XZ?=
 =?us-ascii?Q?xj3cHJKTgOLmPZzudO5aC7jBkf1mT2kFRRes0pJupbODDMDQGwA1COJPpBNe?=
 =?us-ascii?Q?wa5GmuyO78xeGwkUh+PIfIy/nigrsgUq57HisJfVGq2UgUD+O/IO93WswN4c?=
 =?us-ascii?Q?pEy9DG5XLGJQ3zypSMiVf65AGAuotyS8dPz3rI0EPRa/KC/jjAmCqT/OrBpg?=
 =?us-ascii?Q?+UenrTf4HaLns7lq0vh7jmjm5GC/ufUbGsWvJBKqP9NglMf1MyNifPKA9UP6?=
X-MS-Exchange-AntiSpam-MessageData-1: xcfQOc4vov6eYQ==
X-OriginatorOrg: oracle.com
X-MS-Exchange-CrossTenant-Network-Message-Id: 29da07d1-8979-4bcb-368e-08da29283aff
X-MS-Exchange-CrossTenant-AuthSource: DS7PR10MB4926.namprd10.prod.outlook.com
X-MS-Exchange-CrossTenant-AuthAs: Internal
X-MS-Exchange-CrossTenant-OriginalArrivalTime: 28 Apr 2022 15:03:19.2674 (UTC)
X-MS-Exchange-CrossTenant-FromEntityHeader: Hosted
X-MS-Exchange-CrossTenant-Id: 4e2c6054-71cb-48f1-bd6c-3a9705aca71b
X-MS-Exchange-CrossTenant-MailboxType: HOSTED
X-MS-Exchange-CrossTenant-UserPrincipalName: RqZFR8UdSHstctFSUNKHnlmfr/KPmwj4ShdFZFmFRxL8TALD2uQFG2/jlWKYkD/m1yzfjh9muq4xhdFaL+iJ0Vo/B0T7BA0xT4blFHyK1bo=
X-MS-Exchange-Transport-CrossTenantHeadersStamped: BN6PR10MB1282
X-Proofpoint-Virus-Version: vendor=fsecure engine=2.50.10434:6.0.486, 18.0.858
 definitions=2022-04-28_02:2022-04-28,
 2022-04-28 signatures=0
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0 spamscore=0
 mlxlogscore=999
 malwarescore=0 mlxscore=0 phishscore=0 bulkscore=0 adultscore=0
 suspectscore=0 classifier=spam adjust=0 reason=mlx scancount=1
 engine=8.12.0-2202240000 definitions=main-2204280091
X-Proofpoint-GUID: xF5HAwy0kbCCKm0Jsb7vx0C_sJTWA_by
X-Proofpoint-ORIG-GUID: xF5HAwy0kbCCKm0Jsb7vx0C_sJTWA_by
Received-SPF: pass client-ip=205.220.177.32;
 envelope-from=david.edmondson@HIDDEN; helo=mx0b-00069f02.pphosted.com
X-Spam_score_int: -27
X-Spam_score: -2.8
X-Spam_bar: --
X-Spam_report: (-2.8 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1,
 RCVD_IN_DNSWL_LOW=-0.7, SPF_HELO_NONE=0.001, SPF_PASS=-0.001,
 T_SCC_BODY_TEXT_LINE=-0.01 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Thu, 28 Apr 2022 11:44:12 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)


Start gnus with M-x gnus. Read some news (well, mail). Suspend gnus with
'z'. Decide to read some more with M-x gnus. Get:

Debugger entered--Lisp error: (error "Selecting deleted buffer")
  gnus-read-active-for-groups((nnimap "employer" (nnimap-address "outlook.o=
ffice365.com") (nnimap-stream tls) (nnimap-user "dme@HIDDEN") (nnmail=
-expiry-target "Deleted Items") (nnmail-expiry-wait immediate)) (("people/d=
me" 3 ((1 . 4)) ((unexist 0 4)) nil ((modseq) (uidvalidity . "901") (active=
 0 . 4) (permanent-flags %Seen %Answered %Flagged %Deleted %Draft $MDNSent)=
)) ("people/mike" 3 (1) ((unexist 0) (seen 1)) nil ((modseq) (uidvalidity .=
 "820") (active 0 . 1) (permanent-flags %Seen %Answered %Flagged %Deleted %=
Draft $MDNSent))) ("stash/qemu" 3 ((1 . 3)) ((reply 1) (unexist (2 . 3))) n=
il ((modseq) (uidvalidity . "396") (active 1 . 3) (permanent-flags %Seen %A=
nswered %Flagged %Deleted %Draft $MDNSent))) ("pending" 3 ((1 . 17)) ((repl=
y (13 . 14) 16) (unexist (6 . 10) 12)) nil ((modseq) (uidvalidity . "371") =
(active 1 . 17) (permanent-flags %Seen %Answered %Flagged %Deleted %Draft $=
MDNSent))) ("list" 3 nil ((unexist)) nil ((modseq) (uidvalidity . "989") (a=
ctive 1 . 0) (permanent-flags %Seen %Answered %Flagged %Deleted %Draft $MDN=
Sent))) ("Sync Issues/Server Failures" 3 nil ((unexist)) nil ((modseq) (uid=
validity . "427") (active 1 . 0) (permanent-flags %Seen %Answered %Flagged =
%Deleted %Draft $MDNSent))) ("Sync Issues/Local Failures" 3 nil ((unexist))=
 nil ((modseq) (uidvalidity . "426") (active 1 . 0) (permanent-flags %Seen =
%Answered %Flagged %Deleted %Draft $MDNSent))) ("Sync Issues/Conflicts" 3 n=
il ((unexist)) nil ((modseq) (uidvalidity . "425") (active 1 . 0) (permanen=
t-flags %Seen %Answered %Flagged %Deleted %Draft $MDNSent))) ("Sync Issues"=
 3 nil ((unexist)) nil ((modseq) (uidvalidity . "424") (active 1 . 0) (perm=
anent-flags %Seen %Answered %Flagged %Deleted %Draft $MDNSent))) ("RSS Feed=
s" 3 nil ((unexist)) nil ((modseq) (uidvalidity . "377") (active 1 . 0) (pe=
rmanent-flags %Seen %Answered %Flagged %Deleted %Draft $MDNSent))) ("INBOX"=
 3 (1 . 55717) ((unexist (1 . 48995) (48997 . 50650) 50653 (50656 . 50662) =
(50664 . 51795) (51797 . 52156) (52158 . 52353) (52355 . 54153) (54155 . 54=
444) (54446 . 55386) (55388 . 55425)) (seen 26461 26530 26533 26546 26549 2=
6552 26555 26558 26561 (26564 . 26565) 26573 26576 26579 26582 26586 26589 =
26592 26595 26598 26601 26604 26607 26610 26615 26619 26622 26629 26632 266=
37 26640 26643 26646 26650 26654 26658 26661 26664 26667 26670 26673 26676 =
26679 26682 26685 (26688 . 26690) 26697 26703 26707 26710 ...) (expire 5064=
8 50785 50796 50811 50844 55711 55715) (reply 50651 52157 54445)) nil ((mod=
seq) (uidvalidity . "14") (active 1 . 55717) (permanent-flags %Seen %Answer=
ed %Flagged %Deleted %Draft $MDNSent)))) nil)
  gnus-get-unread-articles(nil nil nil)
  gnus-group-get-new-news(nil)
  gnus-1(nil nil nil)
  gnus(nil)
  funcall-interactively(gnus nil)
  command-execute(gnus record)
  execute-extended-command(nil "gnus" "gnus")
  funcall-interactively(execute-extended-command nil "gnus" "gnus")
  command-execute(execute-extended-command)

My gnus configuration is a single IMAP server in
gnus-select-method. gnus-secondary-select-methods is nil.

Quitting gnus and restarting gets things working, as does entering and
quitting the server buffer.


In GNU Emacs 29.0.50 (build 2, x86_64-pc-linux-gnu, GTK+ Version 3.24.31, c=
airo version 1.16.0)
 of 2022-04-26 built on zarquon
Repository revision: e98b7d6ba2c8634c82f49ee18fd8b91b1b83a187
Repository branch: master
System Description: Debian GNU/Linux bookworm/sid

Configured using:
 'configure --with-native-compilation'

Configured features:
ACL CAIRO DBUS FREETYPE GIF GLIB GMP GNUTLS GPM GSETTINGS HARFBUZZ JPEG
JSON LCMS2 LIBOTF LIBSELINUX LIBSYSTEMD LIBXML2 M17N_FLT MODULES
NATIVE_COMP NOTIFY INOTIFY PDUMPER PNG RSVG SECCOMP SOUND SQLITE3
THREADS TIFF TOOLKIT_SCROLL_BARS X11 XDBE XIM XPM GTK3 ZLIB

Important settings:
  value of $LC_COLLATE: C
  value of $LC_TIME: C
  value of $LANG: en_GB.utf8
  locale-coding-system: utf-8-unix

Major mode: Group

Minor modes in effect:
  gnus-topic-mode: t
  gnus-undo-mode: t
  org-super-agenda-mode: t
  shell-dirtrack-mode: t
  which-key-mode: t
  yas-global-mode: t
  yas-minor-mode: t
  marginalia-mode: t
  selectrum-prescient-mode: t
  prescient-persist-mode: t
  dired-async-mode: t
  persistent-scratch-autosave-mode: t
  override-global-mode: t
  selectrum-mode: t
  tooltip-mode: t
  global-eldoc-mode: t
  show-paren-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  buffer-read-only: t
  column-number-mode: t
  line-number-mode: t
  indent-tabs-mode: t
  transient-mark-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t

Load-path shadows:
/home/dme/.emacs.d/elpa/transient-20220425.1314/transient hides /usr/local/=
share/emacs/29.0.50/lisp/transient

Features:
(shadow emacsbug flow-fill gnus-icalendar org-capture icalendar
diary-lib diary-loaddefs qp mm-archive sort gnus-cite mail-extr textsec
uni-scripts idna-mapping ucs-normalize uni-confusable textsec-check
gnus-async gnus-bcklg gnus-ml bug-reference vc-mtn vc-hg vc-bzr vc-src
vc-sccs vc-svn vc-cvs vc-rcs ripgrep grep compile gnus-dired ibuffer
ibuffer-loaddefs cl-print misearch multi-isearch paredit whitespace pp
helpful imenu trace edebug backtrace info-look f help-fns radix-tree
elisp-refs comp comp-cstr calc-prog calc-forms calc-arith calc-misc
calc-alg calccomp calc-vec calc-ext calc-menu calc-aent vc-git
autorevert filenotify org-appear literate-calc-mode calc calc-loaddefs
rect calc-macs flyspell ispell org-indent ol-eww eww xdg url-queue
thingatpt mm-url ol-rmail ol-mhe ol-irc ol-info ol-gnus nnselect
ol-docview doc-view jka-compr image-mode exif ol-bibtex ol-bbdb ol-w3m
ol-doi org-link-doi face-remap gnus-topic nndraft nnmh utf-7 epa-file
network-stream nsm gnus-agent gnus-srvr gnus-score score-mode nnvirtual
gnus-msg gnus-cache gnus-harvest cl mailalias gnus-demon nntp
gnus-registry registry eieio-base gnus-art mm-uu mml2015 mm-view
mml-smime smime gnutls dig gnus-sum shr pixel-fill kinsoku url-file
url-dired svg dom gnus-group gnus-undo gnus-start gnus-dbus dbus xml
gnus-cloud nnimap nnmail mail-source utf7 netrc nnoo parse-time
gnus-spec gnus-int gnus-range message sendmail yank-media rmc puny
rfc822 mml mml-sec epa derived epg rfc6068 epg-config mm-decode
mm-bodies mm-encode mail-parse rfc2231 rfc2047 rfc2045 ietf-drums
mailabbrev gmm-utils mailheader gnus-win char-fold mule-util term/xterm
xterm server modus-vivendi-theme modus-operandi-theme modus-themes pcase
dme:bug ox-jira ox-odt rng-loc rng-uri rng-parse rng-match rng-dt
rng-util rng-pttrn nxml-parse nxml-ns nxml-enc xmltok nxml-util ox-latex
ox-icalendar org-super-agenda ts ht s dash org-habit org-agenda
org-refile ox-html table ox-ascii ox-publish ox org-superstar
org-element org-protocol ob-shell shell org ob ob-tangle ob-ref ob-lob
ob-table org-macro org-footnote org-src ob-comint org-pcomplete
pcomplete comint ansi-color org-list org-faces org-entities noutline
outline org-version ob-emacs-lisp org-table org-keys org-loaddefs
find-func cal-menu calendar cal-loaddefs avl-tree generator ol rx
oc-basic bibtex iso8601 oc ob-exp ob-core org-compat ob-eval org-macs
format-spec facemenu gnus nnheader gnus-util text-property-search
time-date mail-utils range mm-util mail-prsvr wid-edit smerge-mode diff
warnings which-key project diff-mode yasnippet hydra ring lv vc
vc-dispatcher marginalia selectrum-prescient prescient selectrum
minibuf-eldef crm dired-async dired-aux git-annex advice dired-x dired
dired-loaddefs async diminish edmacro kmacro persistent-scratch
disp-table cl-extra help-mode use-package use-package-ensure
use-package-delight use-package-diminish use-package-bind-key bind-key
use-package-core finder-inf easy-mmode info package browse-url url
url-proxy url-privacy url-expand url-methods url-history url-cookie
url-domsuf url-util mailcap url-handlers url-parse auth-source cl-seq
eieio eieio-core cl-macs eieio-loaddefs password-cache json map url-vars
seq gv subr-x byte-opt bytecomp byte-compile cconv cl-loaddefs cl-lib
iso-transl tooltip eldoc paren electric uniquify ediff-hook vc-hooks
lisp-float-type elisp-mode mwheel term/x-win x-win term/common-win x-dnd
tool-bar dnd fontset image regexp-opt fringe tabulated-list replace
newcomment text-mode lisp-mode prog-mode register page tab-bar menu-bar
rfn-eshadow isearch easymenu timer select scroll-bar mouse jit-lock
font-lock syntax font-core term/tty-colors frame minibuffer nadvice
simple cl-generic cham georgian utf-8-lang misc-lang vietnamese tibetan
thai tai-viet lao korean japanese eucjp-ms cp51932 hebrew greek romanian
slovak czech european ethiopic indian cyrillic chinese composite
emoji-zwj charscript charprop case-table epa-hook jka-cmpr-hook help
abbrev obarray oclosure cl-preloaded button loaddefs faces cus-face
macroexp files window text-properties overlay sha1 md5 base64 format env
code-pages mule custom widget keymap hashtable-print-readable backquote
threads dbusbind inotify lcms2 dynamic-setting system-font-setting
font-render-setting cairo move-toolbar gtk x-toolkit x multi-tty
make-network-process native-compile emacs)

Memory information:
((conses 16 2322586 1303887)
 (symbols 48 47888 81)
 (strings 32 729126 184785)
 (string-bytes 1 29873179)
 (vectors 16 96599)
 (vector-slots 8 2387923 1314256)
 (floats 8 863 1995)
 (intervals 56 53080 7076)
 (buffers 992 106))

dme.
--=20
Please don't stand so close to me.

dme.
--=20
Slow me down, it's getting away from me.




Acknowledgement sent to david.edmondson@HIDDEN:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN, bugs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN, bugs@HIDDEN:
bug#55167; Package emacs,gnus. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Thu, 28 Apr 2022 16:15:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.